Skip to navigation

Update name of bulk send batch

View as Markdown
Updates the name of a bulk send batch.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

bulkSendBatchIdstringRequired
The batch ID.

Request

This endpoint expects an object: bulkSendBatchRequest

batchNamestringOptional

The new name of the bulk send batch.

This property is required. The maximum length of the string is 500 characters.

Response

Successful response.
actionstringOptional
actionStatusstringOptional
batchIdstringOptional
The batch ID.
batchNamestringOptional
The batch name.
batchSizestringOptional
The number of of bulk envelopes submitted in the current batch
bulkErrorslist of objectsOptional
An array of error statuses.
envelopeIdOrTemplateIdstringOptional
The ID of the draft envelope or template that was used to create the batch.
envelopesInfoobjectOptional
envelopesUristringOptional
The URI to get all envelopes sent in the batch.
failedstringOptional
The number of envelopes that failed to process or send.
mailingListIdstringOptional
The ID of the mailing list used to create the batch.
mailingListNamestringOptional
ownerUserIdstringOptional
queuedstringOptional
The number of envelopes waiting in pending queue
resendsRemainingstringOptional
senderUserIdstringOptional
The ID of the sender.
sentstringOptional
The number of envelopes sent successfully.
submittedDatestringOptional
The timestamp of when the batch was submitted in ISO 8601 format.

Errors

400
Bad Request Error